version: '3'
services:
  go-laravel-app:
    container_name: go-laravel-app
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - 8888:8888
    restart: on-failure
    volumes:              # without this volume mapping to the directory of our project, live reloading wont happen
      - .:/usr/src/app
    depends_on:
      - go-laravel-mysql
    networks:
      - go-logivice


  go-laravel-mysql:
    image: mysql:8.0
    container_name: go-laravel-mysql
    ports:
      - 33060:33060
    environment:
      - MYSQL_DATABASE=${DB_DATABASE}
      - MYSQL_USER=${DB_USER}
      - MYSQL_PASSWORD=${DB_PASSWORD}
      - MYSQL_ROOT_PASSWORD=${DB_PASSWORD}
      - TZ=${TIMEZONE}
    volumes:
      - ./my.cnf:/root/.my.cnf:ro
      - ./mysql8.0/conf.d:/etc/mysql/conf.d:ro
      - ./mysql8.0/logs:/var/log/mysql:rw
      - ./mysql8.0/initdb.d:/docker-entrypoint-initdb.d:ro
      - ./common:/app:ro
      - ./auto-generate:/auto-generate:rw
    networks:
      - go-logivice




volumes:
  api:
  mysql:

# Networks to be created to facilitate communication between containers
networks:
  go-logivice:
    driver: bridge
